<?php

namespace Drupal\layout_builder_accordion\Plugin\Layout;

use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Layout\LayoutDefault;
use Drupal\Core\Plugin\PluginFormInterface;

/**
 * Tabs layout.
 */
class AccordionsLayout extends LayoutDefault implements PluginFormInterface {

//  /**
//   * {@inheritdoc}
//   */
//  public function build(array $regions) {
//    $build = parent::build($regions);
//    // If using Olivero, manually attach its tabs library.
//    $theme_name = \Drupal::service('theme.manager')->getActiveTheme()->getName();
//    if ($theme_name == 'olivero') {
//      $build['#attached']['library'][] = 'olivero/tabs';
//    }
//    return $build;
//  }

  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {
    $form['label'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Administrative label'),
      '#default_value' => $this->configuration['label'],
    ];
    $form['check_always_open'] = [
      '#type' => 'checkbox',
      '#title' => 'Always Open',
      '#default_value' => false,
    ];
    return $form;
  }

  public function build(array $regions)
  {
    $build= parent::build($regions);
    $configuration=$this->configuration;
    return $build;
  }

  public function submitConfigurationForm(array &$form, FormStateInterface $form_state)
  {
    parent::submitConfigurationForm($form, $form_state);
    $this->configuration['check']=$form_state->getValue('check_always_open');
    if($form_state->getValue('check_always_open')===1){
      $form['check_always_open']['#default_value']=true;
    }
    return $form;
  }


}
